gov.ornl.mercury3.services

## Class AbstractTerm

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractTerm

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Term

      public abstract class AbstractTerm
      extends Object
      implements Serializable

  AbstractTerm entity provides the base persistence definition of the Term entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTerm()` default constructor
    `AbstractTerm(TermId id)` minimal constructor
    `AbstractTerm(TermId id, String term, String useAttribute, String relationAttribute, String operator, Date queryDate)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermId` | `getId()`
    `String` | `getOperator()`
    `Date` | `getQueryDate()`
    `String` | `getRelationAttribute()`
    `String` | `getTerm()`
    `String` | `getUseAttribute()`
    `void` | `setId(TermId id)`
    `void` | `setOperator(String operator)`
    `void` | `setQueryDate(Date queryDate)`
    `void` | `setRelationAttribute(String relationAttribute)`
    `void` | `setTerm(String term)`
    `void` | `setUseAttribute(String useAttribute)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTerm

          public AbstractTerm()

      default constructor

    - #### AbstractTerm

          public AbstractTerm(TermId id)

      minimal constructor

    - #### AbstractTerm

          public AbstractTerm(TermId id,
                      String term,
                      String useAttribute,
                      String relationAttribute,
                      String operator,
                      Date queryDate)

      full constructor

  - ### Method Detail

    - #### getId

          public TermId getId()

    - #### setId

          public void setId(TermId id)

    - #### getTerm

          public String getTerm()

    - #### setTerm

          public void setTerm(String term)

    - #### getUseAttribute

          public String getUseAttribute()

    - #### setUseAttribute

          public void setUseAttribute(String useAttribute)

    - #### getRelationAttribute

          public String getRelationAttribute()

    - #### setRelationAttribute

          public void setRelationAttribute(String relationAttribute)

    - #### getOperator

          public String getOperator()

    - #### setOperator

          public void setOperator(String operator)

    - #### getQueryDate

          public Date getQueryDate()

    - #### setQueryDate

          public void setQueryDate(Date queryDate)

Copyright © 2016. All rights reserved.